{% set CodiceModulo = "DOM_CARTELLA_PAG" %}
{% set Urn = "document:c_f481:domanda.rateizzazione.cartella" %}
{% set Urn_procedimento = "" %}
{% set allegati=[
{ "codice":"COPIA-ING-PAG",
  "urn":"document:c_f481:copia.ingiunzione.pagamento",
  "descrizione_tabella_allegati":"Copia della cartella - ingiunzione di pagamento",
  "annotazioni_tabella_allegati":"",
  "descrizione_meta":"", 
  "filename":"Copia cartella",
  "firmatari":"Titolare_CodiceFiscale",
  "firmatari_label":"il dichiarante",
  "firmato":"NO",
  "numero":"1",
  "dimensione":"15",
  "enabled":"",
  "dynamic_check":"true",
  "tipo":"allegato",
  "tipo_mime":"image/tiff,image/png,image/jpeg,application/pdfn"
},
{ "codice":"DAE-CDI",
  "urn":"document:s_italia:generale;documento.identita;documentazione",
  "descrizione_tabella_allegati":"copia del documento di identità",
  "annotazioni_tabella_allegati":"(da allegare se il modulo è sottoscritto con firma autografa)",
  "descrizione_meta":"", 
  "filename":"Documento identita",
  "firmatari":"Titolare_CodiceFiscale",
  "firmatari_label":"il dichiarante",
  "firmato":"NO",
  "numero":"1",
  "dimensione":"15",
  "enabled":"",
  "dynamic_check":"",
  "tipo":"allegato",
  "tipo_mime":"image/tiff,image/png,image/jpeg,application/pdfn" 
}
]%}
{% set campi_firma = [
  {
    "campi_firma" : "Titolare_CodiceFiscale",
    "campi_firma_label" : "il dichiarante",
    "firmatario" : "SI"
  }
]%}
{% extends "base.html" %}
{% block meta %}
<meta campi_firma="{% for campofirma in campi_firma %}{% if campofirma['firmatario'] == 'SI' %}{% if not loop.first %},{% endif %}{{ campofirma['campi_firma'] }}{% endif %}{% endfor %}"
campi_firma_label="{% for campofirma in campi_firma %}{% if campofirma['firmatario'] == 'SI' %}{% if not loop.first %},{% endif %}{{ campofirma['campi_firma_label'] }}{% endif %}{% endfor %}"
classi_modulo=""
trattamento_dati="PERSONALI"
codice_modulo="{{ CodiceModulo }}"
urn="{% block urn %}{{ Urn }}{% endblock urn %}"
urn_procedimento="{% block urn_procedimento %}{{ Urn_procedimento }}{% endblock urn_procedimento %}"
urn_procedimento_list=""
sub_urn=""
sub_urn_list=""
uo_globo_list=""
descrizione="Domanda di rateizzazione della cartella/ingiunzione fiscale/avviso di accertamento"
destinatario_amministrazione=""
destinatario_ufficio=""
dinamico="SI"
email_a=""
ente_abilitato="TUTTI"
filigrana="NO"
firmare="P7M_ELETTRONICA"
in_bollo="NO"
istruzioni_compilazione=""
istruzioni_invio="mail_pec"
metodo_invio="mail"
name="GLOBO_modulo"
procura="NO,,"
tipo_modulo="principale"
ufficio=""
verifica_pagamento="NO"
versione="4.0|25/10/2024"/>

<meta codice_modulo_figlio="INCARICO_PROCURA"
urn_modulo_figlio="document:s_italia:generale;incarico.procura"
name="GLOBO_modulofiglio"
numero="1"
obbligatorio="DINAMICO"/>
{% for allegato in allegati %}{% set descr = "" %}{% if allegato['descrizione_meta'] == '' %} {% set descr = allegato['descrizione_tabella_allegati']  %} {% else %}{% set descr = allegato['descrizione_meta'] %} {% endif %}
  {% if allegato['tipo'] == "allegato" %}
   <meta codice_allegato="{{ allegato['codice'] }}"
    urn_allegato="{{ allegato['urn'] }}"
    descrizione_estesa="{{  descr[0]|upper + descr[1:descr|length] }}"
    filename="{{ allegato['filename'][0]|upper + allegato['filename'][1:allegato['filename']|length] }}"
    firmatari="{{ allegato['firmatari'] }}"
    firmatari_label="{{ allegato['firmatari_label'] }}"
    firmato="{{ allegato['firmato'] }}"
    name="GLOBO_allegato"
    numero="{{ allegato['numero'] }}"
    dimensione_massima="{{ allegato['dimensione'] }}"
    obbligatorio="DINAMICO"
    tipo_mime="{{ allegato['tipo_mime'] }}"/>
  {% elif allegato['tipo'] == "secondario" %} 
    <meta codice_modulo_figlio="{{ allegato['codice'] }}"
    urn_modulo_figlio="{{ allegato['urn'] }}"
    name="GLOBO_modulofiglio"
    numero="{{ allegato['numero'] }}"
    obbligatorio="DINAMICO"/>
  {% endif %}{% endfor %}
<meta codice_allegato="ALTRI-ALLEGATI"
urn_allegato="document:s_italia:altri.allegati"
descrizione_estesa="Altri allegati"
filename="Altri allegati"
firmatari="Titolare_CodiceFiscale"
firmatari_label="il dichiarante"
firmato="NO"
name="GLOBO_allegato"
numero="0"
dimensione_massima="15"
obbligatorio="DINAMICO"
tipo_mime="image/tiff,image/png,image/jpeg,application/pdfn"/>

{% endblock meta %}

{% block title %} Domanda di rateizzazione della cartella/ingiunzione fiscale/avviso di accertamento {% endblock title %}

{% block content %}

<input id="Parametri_Comune" name="Parametri_Comune" type="hidden" dynamic_value="#Ente.value()"/>
<input id="Oggetto" name="Oggetto" type="hidden" dynamic_value="#Titolare_Cognome.value().toUpperCase() + ' ' + #Titolare_Nome.value().toUpperCase() + ' - rateizzazione della cartella/ingiunzione fiscale/avviso di accertamento'"/>

{{intestazioni.intestazione_moduloprincipale_senzabollo()}}

<div class="container">
  <div class="title-1"> Domanda di rateizzazione della cartella/ingiunzione fiscale/avviso di accertamento </div>
</div>

<!-- Ulteriori ruoli disponibili: Responsabile unico del procedimento, Procuratore con potere di rappresentanza legale, Incaricato dell’impresa di onoranze funebri, Direttore tecnico, Gestore, Dipendente, Delegato
      Per il precaricamento del profilo utente settare campi_readonly = 'readonly' -->
{{ anagrafica.societa(prefix='Titolare', 
                      intestazione="Il sottoscritto", 
                      ruoli=["Persona fisica", "Titolare", "Legale rappresentante"], 
                      Solo1="Richiedente", 
                      visibility_mail="mail_ordinaria", 
                      pec_obbligatoria="false", 
                      cciaa_visibile="true", 
                      campi_readonly="readonly", 
                      visibility_residenza="visibility:visibility", 
                      visibility_asterisco_ruolo="display:none", 
                      tipologia_associazione="false", 
                      mailordinaria_obbligatoria="false", 
                      tipologia_entepubblico="false", 
                      visibility_codice_fatturazione="false", 
                      visibility_altri_dati="display:none", 
                      visibility_iscrizione_runts="display:none") }}

{{ utils.domicilio_digitale(mandatory = "true", intestazione = "", pec = "false") }}            

<div class="container">
  <div class="title-3"> CHIEDE </div>
  <div class="paragraph text-justify"> la dilazione  </div>
</div>

<div class="container border bg-light">
  <div class="form-row" mandatory_enabled="true">
    <div class="col-lg-12">
      <span class="title"> nel seguente numero di rate </span>
    </div>
    <div class="form-group col-lg-12">
      <label for="Parametri_Specificare"> Specificare </label>
      <input class="form-control" id="Parametri_Specificare" name="Parametri_Specificare" label="Specificare">
    </div>
  </div>
</div>

<globo_salto_pagina></globo_salto_pagina>

<div class="container border bg-light">
  <div class="form-row">
    <div class="col-lg-12">
      <span class="title"> delle seguenti cartelle – ingiunzioni fiscali – avvisi di accertamento </span>
    </div>
  </div>
  <!-- Settare in condiz la condizione di attivazione della prima riga. Se un campo deve essere opzionale, inserire "true" nel parametro enabled dell'array -->
  {% set num=7 %}
  {% set condiz="true"%}
  {% set campi=[
    {
      "titolo":"Numero",
      "label":"Numero",
      "id":"Parametri_Numero",
      "format":"valuta_positiva",
      "carattere_speciale":"€",
      "col":"12",
      "options":"",
      "enabled":""
    },
  ]%}
    <div class="form-row">
      {% for rowlabel in campi %}
      <div class="form-group col-lg-{{ rowlabel['col'] }}">
        <label for=""> {{ rowlabel['titolo']}} </label>
      </div>
      {% endfor %}
    </div>
    {% for i in range(1, num) %}
    <div class="form-row">
      {% for campo in campi %}
      <div class="form-group col-lg-{{ campo['col'] }}">
        {% if campo["carattere_speciale"]!=''%}<div class="paragraph">{% endif %}
          {% if campo["options"] == ''%}<input {% else %} <select {% endif %} label="{{ campo['label'] }}" {% if campo["format"]!='' %} format="{{ campo['format'] }}" {% endif %} id="{{ campo['id']~i }}" name="{{ campo['id']~i }}" {% if i==1 %} {% if campo['enabled']!= '' %} enabled="{{condiz}}" {% else %} mandatory_enabled="{{condiz}}" {% endif %} {% endif %} {% if i!=1 %} {% if loop.first %} enabled="#{{ campo['id']~ (i-1)}}.value()!=''" {% else %} {% if campo['enabled'] != '' %} enabled="#{{ campi[0]['id']~i }}.value()!=''" {% else %} mandatory_enabled="#{{ campi[0]['id']~i }}.value()!=''" {% endif %} {% endif %}{% endif %} class="form-control {% if campo['options'] != ''%} custom-select {% endif %} {% if campo['carattere_speciale']!='' %} w-25 d-inline-block {% endif %}"  {% if campo["campi"] == ''%}/> {% else %}> {% endif %}
          {% if campo["options"] != ''%}<option value=""></option>{% for option in campo["options"].split(',') %}<option value="{{ option }}">{{ option }}</option>{% endfor %}</select>{% endif %}
        {% if campo["carattere_speciale"]!=''%}{{ campo["carattere_speciale"] }}</div>{% endif %}
      </div>
      {% endfor %}
    </div>
    {% endfor %}
    <div class="form-row">
      <div class="col-lg-12">
        <span class="title"> per un importo totale </span>
      </div>
      <div class="form-group col-lg-12">
        <label for="Parametri_Totale"> Totale </label>
        <div class="paragraph text-justify"> <input class="form-control w-25 d-inline-block" id="Parametri_Totale" name="Parametri_Totale" label="Totale" format="valuta_positiva" readonly dynamic_value="(parseFloat(#Parametri_Somma1.value())+parseFloat(#Parametri_Somma2.value())+parseFloat(#Parametri_Somma3.value())+parseFloat(#Parametri_Somma4.value())+parseFloat(#Parametri_Somma5.value())+parseFloat(#Parametri_Somma6.value())).toFixed(2).toString().replace('.',',')" > € </div>
      </div>
    </div>
</div>

<input id="Parametri_Somma1" name="Parametri_Somma1" type="hidden" label="" dynamic_value="#Parametri_Numero1.value() ? parseFloat(#Parametri_Numero1.value().replace(',','.')) : 0" />

<input id="Parametri_Somma2" name="Parametri_Somma2" type="hidden" label="" dynamic_value="#Parametri_Numero2.value() ? parseFloat(#Parametri_Numero2.value().replace(',','.')) : 0" />

<input id="Parametri_Somma3" name="Parametri_Somma3" type="hidden" label="" dynamic_value="#Parametri_Numero3.value() ? parseFloat(#Parametri_Numero3.value().replace(',','.')) : 0" />

<input id="Parametri_Somma4" name="Parametri_Somma4" type="hidden" label="" dynamic_value="#Parametri_Numero4.value() ? parseFloat(#Parametri_Numero4.value().replace(',','.')) : 0" />

<input id="Parametri_Somma5" name="Parametri_Somma5" type="hidden" label="" dynamic_value="#Parametri_Numero5.value() ? parseFloat(#Parametri_Numero5.value().replace(',','.')) : 0" />

<input id="Parametri_Somma6" name="Parametri_Somma6" type="hidden" label="" dynamic_value="#Parametri_Numero6.value() ? parseFloat(#Parametri_Numero6.value().replace(',','.')) : 0" />

{{ utils.Dichiara_445() }}

<div class="container">
  <div class="form-check indent-1">
    <input class="form-check-input" id="Dichiara1" name="Dichiara1" type="checkbox" value="SI" checked="checked" dynamic_check="true">
    <label class="form-check-label text-justify" for="Dichiara1"> di trovarsi in temporanea situazione di obiettiva difficoltà che non consente di effettuare il pagamento delle somme richieste in unica soluzione </label>
  </div>
  <div class="form-check indent-1">
    <input class="form-check-input" id="Dichiara2" name="Dichiara2" type="checkbox" value="SI" checked="checked" dynamic_check="true">
    <label class="form-check-label text-justify" for="Dichiara2"> di eleggere domicilio speciale presso lo studio del Dr./ Rag./Avv.  </label>
    <div class="containerindentato border bg-light pl-0">
      <div class="form-row" mandatory_enabled="true">
        <div class="form-group col-lg-12">
          <label for="Parametri_Spec"> Specificare </label>
          <input class="form-control" id="Parametri_Spec" name="Parametri_Spec" label="Specificare">
        </div>
        <div class="form-group col-lg-6">
          <label for="Parametri_Telefono"> Telefono </label>
          <input class="form-control" id="Parametri_Telefono" name="Parametri_Telefono" label="Telefono" format="telephone">
        </div>
        <div class="form-group col-lg-6">
          <label for="Parametri_Fax"> Fax </label>
          <input class="form-control" id="Parametri_Fax" name="Parametri_Fax" label="Fax">
        </div>
        <div class="form-group col-lg-12">
          <label for="Parametri_Email"> Posta elettronica </label>
          <input class="form-control" id="Parametri_Email" name="Parametri_Email" label="Posta elettronica" format="email"> 
        </div>
      </div>
    </div>
  </div>
  <div class="form-check indent-1">
    <input class="form-check-input" id="Dichiara3" name="Dichiara3" type="checkbox" value="SI" checked="checked" dynamic_check="true">
    <label class="form-check-label text-justify" for="Dichiara3"> che in caso di accoglimento del beneficio il provvedimento venga consegnato </label>
    <div class="containerindentato border bg-light pl-0">
      {% set testi = [
        "pec all’indirizzo",
        "mail all’indirizzo",
        "spedito all’indirizzo",
        "tramite lo sportello SOGET di",
        "altro"
      ]%}
      {% for testo in testi %}
      <div class="form-check indent-1">
        {% if loop.first %} <div id="Tassonomia_Accoglimento" name="Tassonomia_Accoglimento" label="Accoglimento provvedimento" mandatory_enabled="true"></div>{% endif %}
        <input class="form-check-input" id="Tassonomia_Accoglimento{{ loop.index }}" name="Tassonomia_Accoglimento" type="radio" value="{{ loop.index }}">
        <label class="form-check-label text-justify" for="Tassonomia_Accoglimento{{ loop.index }}"> {{ testo|safe }} </label>
        <div class="form-row" mandatory_enabled="#Tassonomia_Accoglimento{{ loop.index }}.checked()">
            <div class="form-group col-lg-12">
              <label for="Parametri_Specificare{{ loop.index }}"> Specificare </label>
              <input class="form-control" id="Parametri_Specificare{{ loop.index }}" name="Parametri_Specificare{{ loop.index }}" label="Specificare">
            </div>
        </div>
      </div>
      {% endfor %}
    </div>
  </div>
</div>

<globo_salto_pagina></globo_salto_pagina>

<div class="space-1"></div>

{{ utils.eventuali_annotazioni()}}

<div class="space-1"></div>

<div class="container border bg-light">
  <div class="form-row">
    <div class="col-lg-12" style="text-align: center;">
      <span class="title"> Elenco degli allegati </span>
      <div class="space-0"></div>
      <span class="infoes"> (barrare tutti gli allegati richiesti in fase di presentazione della pratica ed elencati sul portale) </span>
    </div>
  </div>
  {% for allegato in allegati %}
  <div class="form-check indent-1">
    {% if allegato['tipo'] == "allegato" %}<input id="GLOBO_allegato_c{{ allegato['codice'] }}" name="GLOBO_allegato_c{{ allegato['codice'] }}" obbligatorio="#{{ allegato['codice']|replace('-', '_') }}.checked() ? 'OBBLIGATORIO' : ''" type="hidden" value=""/>{% elif allegato['tipo'] == "secondario" %} <input id="GLOBO_modulofiglio_c{{ allegato['codice'] }}" name="GLOBO_modulofiglio_c{{ allegato['codice'] }}" type="hidden" value="" obbligatorio="#{{ allegato['codice']|replace('-', '_') }}.checked() ? 'OBBLIGATORIO' : ''"/>{% endif %}
    <input class="form-check-input" id="{{ allegato['codice'] }}" name="{{ allegato['codice'] }}" type="checkbox" value="OBBLIGATORIO" {% if allegato['dynamic_check'] == "true" %} dynamic_check="true" checked="checked" {% elif allegato['dynamic_check'] != "" and allegato['enabled'] == "" %} dynamic_check="{{ allegato['dynamic_check'] }}" {% elif allegato['dynamic_check'] == "" and allegato['enabled'] != "" %} enabled="{{ allegato['enabled'] }}" {% elif allegato['dynamic_check'] != "" and allegato['enabled'] != "" %} dynamic_check="{{ allegato['dynamic_check'] }}" enabled="{{ allegato['enabled'] }}" {% endif %}>
    <label class="form-check-label text-justify" for="{{ allegato['codice'] }}"> {{ allegato['descrizione_tabella_allegati'][0]|lower + allegato['descrizione_tabella_allegati'][1:allegato['descrizione_tabella_allegati']|length] }}{% if allegato['annotazioni_tabella_allegati'] != "" %} <div class="space-0"></div> <span class="infoes"><i>{{  allegato['annotazioni_tabella_allegati']|safe }}</i></span>{% endif %}</label>
  </div>
  {% endfor %}
  <div class="form-row ml-0 mr-0 mt-1">
    <div class="form-check indent-1 col-lg-2">
      <input class="form-check-input" type="checkbox" id="ALTRI-ALLEGATI" name="ALTRI-ALLEGATI" value="OBBLIGATORIO">
      <label class="form-check-label text-justify" for="ALTRI-ALLEGATI">altri allegati </label>
    </div>
    <div class="form-group col-lg-10">
      <input class="form-control" id="AltriAllegati" name="AltriAllegati" mandatory_enabled="#ALTRI_ALLEGATI.checked()">
    </div>
  </div>
</div>

<div class="space-1"></div>

{{ utils.trattamento_dati_personali() }}

<div class="space-1"></div>

<globo_fondo_pagina style="margin-left: 25pt;" areaheight="150" scope="3">
  {{ utils.firma_unificata()}}
</globo_fondo_pagina>

<div class="space-1"></div>

{{ utils.salva()}}

<input destinatario_amministrazione="getParameter('Ente')" id="GLOBO_modulo_c{{ CodiceModulo }}" name="GLOBO_modulo_c{{ CodiceModulo }}" type="hidden" value=""/>
<input firmare="'P7M_ELETTRONICA'" id="GLOBO_modulofiglio_cINCARICO_PROCURA" name="GLOBO_modulofiglio_cINCARICO_PROCURA" type="hidden" value=""/>

<input id="GLOBO_allegato_cALTRI-ALLEGATI" name="GLOBO_allegato_cALTRI-ALLEGATI" type="hidden" value="" obbligatorio="#ALTRI_ALLEGATI.checked() ? 'OBBLIGATORIO' : ''"/>

<input id="GLOBO_id_padre" name="GLOBO_id_padre" type="hidden"/>
<input id="GLOBO_recupera_dati" name="GLOBO_recupera_dati" type="hidden"/>
<input id="GLOBO_codice_modulo" name="GLOBO_codice_modulo" type="hidden" value="{{ CodiceModulo }}"/>

{% endblock content %}